Bug 495001 - Review Request: bareftp - File transfer client supporting the FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
Review Request: bareftp - File transfer client supporting the FTP, FTP over S...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simon
Fedora Extras Quality Assurance
:
Depends On: 497905
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2009-04-08 22:01 EDT by Itamar Reis Peixoto
Modified: 2009-06-28 15:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-28 15:44:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cassmodiah: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-04-08 22:01:02 EDT
Spec URL: http://ispbrasil.com.br/bareftp/bareftp.spec
SRPM URL: http://ispbrasil.com.br/bareftp/bareftp-0.2.2-1.fc11.src.rpm

Description:

bareFTP is a file transfer client supporting the FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP). It is written in C#, targeting the Mono framework and the GNOME desktop environment. bareFTP is free and open source software released under the terms of the GPL license. 


for more info

http://www.bareftp.org/
Comment 1 Simon 2009-04-09 17:36:16 EDT
a short resume of the fist touch (about 5 minutes)

!!THE PACKAGE WON'T BUILD!!

--missing BRs
gettext
perl-XML-Parser


--missing Rs
hicolor-icon-theme


--- macros
please use name macro instead of name


--- permissions
executing of *.dll is not necessary (didn't check this)


--- ownage
%{_libdir}/bareftp/bareFTP.Common.Utils.dll
%{_libdir}/bareftp/bareFTP.Connection.dll
%{_libdir}/bareftp/bareFTP.Gui.Dialog.dll
%{_libdir}/bareftp/bareFTP.Gui.FileManager.dll
%{_libdir}/bareftp/bareFTP.Gui.Preferences.dll
%{_libdir}/bareftp/bareFTP.Gui.ProgressMonitor.dll
%{_libdir}/bareftp/bareFTP.Gui.dll
%{_libdir}/bareftp/bareFTP.Preferences.dll
%{_libdir}/bareftp/bareFTP.Protocol.Ftp.dll
%{_libdir}/bareftp/bareFTP.Protocol.Sftp.dll
%{_libdir}/bareftp/bareFTP.Protocol.dll
%{_libdir}/bareftp/bareftp.exe

you own every file in the directory, but not the directory itself.
%{_libdir}/%{name}/ instead of the list above would own the directory and all the files in it.


--- filesection
your:
%{_bindir}/bareftp
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/applications/*.desktop

i would write:
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


--- docs 
INSTALL is not important for end-users, because YOU did the installation! please remove it


--- timestamps
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
to preserve timestamps


--- rpmlint
bareftp.i386: E: no-binary
bareftp.i386: W: only-non-binary-in-usr-lib
bareftp-debuginfo.i386: E: empty-debuginfo-package


--- License
please check this again


--- Name of this bug
bareftp - File transfer client supporting the FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
Comment 2 Itamar Reis Peixoto 2009-04-11 19:11:28 EDT
http://ispbrasil.com.br/bareftp/bareftp.spec
http://ispbrasil.com.br/bareftp/bareftp-0.2.2-2.fc11.src.rpm

koji scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=1291575


still some 2 rpmlint warning

[itamar@itamar bareftp]$ rpmlint /home/itamar/rpmbuild/SRPMS/bareftp-0.2.2-2.fc11.src.rpm /home/itamar/rpmbuild/RPMS/x86_64/bareftp-0.2.2-2.fc11.x86_64.rpm

bareftp.x86_64: E: no-binary
bareftp.x86_64: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 1 errors, 1 warnings.
Comment 3 Simon 2009-04-12 13:13:53 EDT
Perhaps I'm a very picky :/
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#Icon_Cache
icon-cache scriplet changed, just saw this a few minutes ago. :-( sry


why do you checked 2 of 3 packages with rpmlint!?
You still have an empty debuginfo-package.
What do you want to do to kill these issues, if you want to kill them?


bareftp using foreign code, licensed unter different licenses. don't you think they have to take into account?!
Comment 4 Christoph Wickert 2009-04-14 13:20:50 EDT
For perl modules one should never use the package name but the perl module name. So
  BuildRequires:  perl-XML-Parser
needs to become
  BuildRequires:  perl(XML::Parser)
Comment 5 Christoph Wickert 2009-04-14 13:43:24 EDT
(In reply to comment #3)
> bareftp using foreign code, licensed unter different licenses. don't you think
> they have to take into account?!  

Where is the foreign code? I only spotted GPLv2+ so far.
Comment 6 Christoph Wickert 2009-04-14 14:32:14 EDT
(In reply to comment #1)
> --missing Rs
> hicolor-icon-theme

Nope, hicolor-icon-theme doesn't need to be specified explicitly, because we already have a valid dependency chain: bareftp -> gtk-sharp2 -> gtk -> hicolor-icon-theme

> --- macros
> please use name macro instead of name

No need to use macros everywhere, just where it makes sense.

> --- permissions
> executing of *.dll is not necessary (didn't check this)

Not sure about this, this could cause an debuginfo package. BTW: have you tried 
  make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" STRIP="/bin/true"?
Just a shot in the dark, didn't check this ether.
Comment 7 Simon 2009-04-14 16:32:02 EDT
--- Licensing:

<spot> cassmodiah: okay, so the code from SharpSSH and JSch is BSD, the Banshee bits are MIT, the Classpath bits are GPLv2+ with exceptions
<spot> cassmodiah: if you combine all of that with GPLv2 only code, you end up with GPLv2 with exceptions
<spot> cassmodiah: feel free to put that in comments above the License tag to explain it. :)

--- hicolor
> Nope, hicolor-icon-theme doesn't need to be specified explicitly, because we
> already have a valid dependency chain: bareftp -> gtk-sharp2 -> gtk ->
> hicolor-icon-theme
my fault!

--- macros
>> please use name macro instead of name
> No need to use macros everywhere, just where it makes sense.
i think it's look more beautiful and i thought it was also meant with
MUST: Each package must consistently use macros.
https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

--- BuildRequires:  perl(XML::Parser)
you are absolutely right


--- rpmlint
bareftp.i386: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

bareftp.i386: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

bareftp-debuginfo.i386: E: empty-debuginfo-package
This debuginfo package contains no files.  This is often a sign of binaries
being unexpectedly stripped too early during the build, rpmbuild not being
able to strip the binaries, the package actually being a noarch one but
erratically packaged as arch dependent, or something else.  Verify what the
case is, and if there's no way to produce useful debuginfo out of it, disable
creation of the debuginfo package.

3 packages and 0 specfiles checked; 2 errors, 1 warnings.

you can't fix no-binary, this is okay

you can fix only-non-binary-in-usr-lib if you move it to datadir, but this won't make sense (imho) 

you can't create an debug package on normal way
https://bugzilla.redhat.com/show_bug.cgi?id=430500
https://fedoraproject.org/wiki/Packaging/Debuginfo
add a debug nil


@Itamar
i read my comment3 again. sounds 1) very rude 2) not very helpfully. No offense meant, I'm really sorry
Comment 8 Christoph Wickert 2009-04-14 17:51:01 EDT
(In reply to comment #7)
> > Nope, hicolor-icon-theme doesn't need to be specified explicitly, because we
> > already have a valid dependency chain: bareftp -> gtk-sharp2 -> gtk ->
> > hicolor-icon-theme
> my fault!

No problem, it's not really an error but just a note. Requiring hicolor-icon-theme wont do no harm.

> --- macros
> >> please use name macro instead of name
> > No need to use macros everywhere, just where it makes sense.
> i think it's look more beautiful and i thought it was also meant with
> MUST: Each package must consistently use macros.
> https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

Consistently means not to mix different macro styles (e.g. $RPM_BUILD_ROOT and %{buildroot}. The only must are dir names like %{_datadir} instead of /usr/share, the rest is up to the packager. For more info see 
https://fedoraproject.org/wiki/Packaging/Guidelines#macros

> bareftp.i386: E: no-binary
> The package should be of the noarch architecture because it doesn't contain
> any binaries.
> 
> bareftp.i386: W: only-non-binary-in-usr-lib
> There are only non binary files in /usr/lib so they should be in /usr/share.

These are false positives, rpmlint does not seem to be familiar with mono - but I am nether.
Comment 10 Simon 2009-04-25 17:04:37 EDT
-------REVIEW PACKAGENAME-------

template: https://fedoraproject.org/wiki/Packaging/ReviewGuidelines

--------------
MUST: rpmlint must be run on every package. The output should be posted in the review.
O.K.

bareftp.i386: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

bareftp.i386: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

2 packages and 0 specfiles checked; 1 errors, 1 warnings.

StartWrapper - okay
dll=lib - okay

--------------
MUST: The package must be named according to the Package Naming Guidelines .
O.K.

--------------
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
O.K.

--------------
MUST: The package must meet the Packaging Guidelines .
O.K.

--------------
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
O.K.

--------------
MUST: The License field in the package spec file must match the actual license.
O.K.

--------------
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
O.K.

--------------
MUST: The spec file must be written in American English.
O.K.

--------------
MUST: The spec file for the package MUST be legible.
O.K.

--------------
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
Package: d19c2cb8ea26703e4d9314772a0acc94
my DL: d19c2cb8ea26703e4d9314772a0acc94

--------------
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
O.K.

--------------
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
O.K.

--------------
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
O.K.

--------------
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
O.K.

--------------
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A

--------------
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
O.K.

--------------
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
O.K.

--------------
MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
O.K.

--------------
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
O.K.

--------------
MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
O.K.

--------------
MUST: Each package must consistently use macros.
O.K.

--------------
MUST: The package must contain code, or permissable content.
O.K.

--------------
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
N/A

--------------
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
N/A

--------------
MUST: Header files must be in a -devel package.
N/A

--------------
MUST: Static libraries must be in a -static package.
N/A

--------------
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
N/A

--------------
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A

--------------
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
N/A

--------------
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
N/A

--------------
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
O.K.

--------------
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
O.K.

--------------
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
O.K.

--------------
MUST: All filenames in rpm packages must be valid UTF-8.
O.K.

--------------
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
N/A

--------------
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
N/A

--------------
SHOULD: The reviewer should test that the package builds in mock.
O.K.

--------------
SHOULD: The package should compile and build into binary rpms on all supported architectures.
N/A

--------------
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
O.K.

--------------
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
O.K.

--------------
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A

--------------
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb
N/A

--------------
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
N/A



==================
 bareftp approved
==================
Comment 11 Itamar Reis Peixoto 2009-04-25 17:50:19 EDT
New Package CVS Request
=======================
Package Name: bareftp
Short Description:  File transfer client supporting ftp, ftps and sftp protocols
Owners: itamarjp cassmodiah
Branches: F-9 F-10 F-11
InitialCC:
Comment 12 Kevin Fenzi 2009-04-27 01:28:05 EDT
cvs done.
Comment 13 Itamar Reis Peixoto 2009-04-27 15:37:47 EDT
http://koji.fedoraproject.org/koji/packageinfo?packageID=8263

F-9 and F-11 build failed

seems to be not related with bareftp, I am looking for a fix about this issue
Comment 14 Fedora Update System 2009-04-27 15:39:43 EDT
bareftp-0.2.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bareftp-0.2.2-2.fc10
Comment 15 Fedora Update System 2009-04-27 21:21:34 EDT
bareftp-0.2.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Itamar Reis Peixoto 2009-04-30 15:30:58 EDT
F-9 build failure, bug reported 

https://bugzilla.redhat.com/show_bug.cgi?id=497905
Comment 17 Peter Lemenkov 2009-06-28 15:44:52 EDT
I think, we may close this ticket. Anyway, F-9 will be EOLed very soon.

Note You need to log in before you can comment on or make changes to this bug.